ServiceXFRReference

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.dsmcc
Class ServiceXFRReference

    java.lang.Object
      org.dvb.dsmcc.ServiceXFRReference

    public class ServiceXFRReference

extends Object

A ServiceXFRReference object is used when a DSMCC Object can not be loaded in the current ServiceDomain but is available in an alternate ServiceDomain. Instances of this class are just containers. The parameters passed are merely stored and returned by the access methods. It is the responsibility of the platform when generating instances to use correct values.

Constructor Summary
`ServiceXFRReference(byte[] nsapAddress, String pathName)` Creates a ServiceXFRReference object.
`ServiceXFRReference(Locator serviceLocator, int carouselId, String pathName)` Creates a ServiceXFRReference object.

Method Summary
`int` | `getCarouselId()` This method returns the carousel identifier.
`Locator` | `getLocator()` This method returns the Locator of the Service for an Object Carousel.
`byte[]` | `getNSAPAddress()` This method returns the NSAP Address of a ServiceDomain as defined in ISO/IEC 13818-6.
`String` | `getPathName()` This method returns the pathname of the object in the alternate ServiceDomain.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceXFRReference

    public ServiceXFRReference(Locator serviceLocator,
                               int carouselId,
                               String pathName)

  Creates a ServiceXFRReference object.

  Parameters:
    `serviceLocator` - Locator of the Service
    `carouselId` - Carousel Identifier
    `pathName` - pathName of the object in the alternate ServiceDomain

### ServiceXFRReference

    public ServiceXFRReference(byte[] nsapAddress,
                               String pathName)

  Creates a ServiceXFRReference object.

  Parameters:
    `nsapAddress` - The NSAP Address of a ServiceDomain as defined in ISO/IEC 13818-6
    `pathName` - pathName of the object in the alternate ServiceDomain

Method Detail

### getLocator

    public Locator getLocator()

  This method returns the Locator of the Service for an Object Carousel.

  Returns:
    the Locator of the Service for an Object Carousel. This method returns null, if the ServiceDomain is not associated with an Object Carousel. In this case the NSAP address must be used instead.

### getCarouselId

    public int getCarouselId()

  This method returns the carousel identifier. If the object was constructed using the constructor which includes a carousel ID or if it was constructed using the constructor which includes an NSAP address and that NSAP address contains a carouselID then this method shall return that carousel ID otherwise this method shall return -1.

  Returns:
    the carousel identifier or -1.

### getPathName

    public String getPathName()

  This method returns the pathname of the object in the alternate ServiceDomain.

  Returns:
    the pathname of the object in the alternate ServiceDomain.

### getNSAPAddress

    public byte[] getNSAPAddress()

  This method returns the NSAP Address of a ServiceDomain as defined in ISO/IEC 13818-6. If the object was constructed using an NSAP address then this method shall return the NSAP address passed into the constructor. If the object was constructed with a locator and a carouselID then this method shall return an NSAP address derived from this information when locator is an instance of org.davic.net.dvb.DVBLocator. Otherwise this method shall return null

  Returns:
    the NSAP Address of a ServiceDomain as defined in ISO/IEC 13818-6 or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD